--- title: "executePolicy" slug: "compute-vautoscaling-autoscalinggroup-executepolicy" updated: 2026-09-17T10:05:57Z published: 2026-09-17T10:05:57Z canonical: "api.ncloud-docs.com/compute-vautoscaling-autoscalinggroup-executepolicy" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # executePolicy Available in VPC Run a scaling policy of Auto Scaling Group. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vautoscaling/v2/executePolicy | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Auto Scaling APIs, see [Auto Scaling request headers](/docs/en/compute-vautoscaling#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default) | | `autoScalingGroupNo` | String | Required | Auto Scaling Group number - See [getAutoScalingGroupList](/docs/en/compute-vautoscaling-autoscalinggroup-getautoscalinggrouplist). | | `policyNo` | String | Required | Policy number - See [getAutoScalingPolicyList](/docs/en/compute-vautoscaling-autoscalinggroup-getautoscalingpolicylist). | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vautoscaling/v2/executePolicy ?regionCode=KR &autoScalingGroupNo=1***9 &policyNo=3381 &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `executePolicyResponse` | Object | - | Response result - See [ScalingPolicyList](/docs/en/common-vapidatatype-scalingpolicylist). | | `executePolicyResponse.requestId` | String | - | ID for the request - UUID format | | `executePolicyResponse.returnCode` | String | - | Response code | | `executePolicyResponse.returnMessage` | String | - | Response message | ### Response status codes For response status codes common to all Auto Scaling APIs, see [Auto Scaling response status codes](/docs/en/compute-vautoscaling#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "executePolicyResponse": { "totalRows": 1, "scalingPolicyList": [ { "autoScalingGroupNo": "1***9", "policyNo": "3381", "policyName": "down", "adjustmentType": { "code": "CHANG", "codeName": "Capacity change amount" }, "scalingAdjustment": -1, "coolDown": 300 } ], "requestId": "86b63e2b-****-****-****-858ad256a488", "returnCode": "0", "returnMessage": "success" } } ```